{% comment %}
Question editor.
Used in _questionnaire_element_edit.html

Context:
    element: question object
{% endcomment %}

{% load i18n %}

<div class="question question-editor" id="{{ field.html_name }}" data-bind="css: questions['{{ field.html_name }}'].state">

    {% if element.level %}
        <div class="question-level">
            {{ element.level }}
        </div>
    {% endif %}

    <div class="question-editor-content">

        <div class="question-info">
            {{ element.get_simple_code }}
        </div>

        <div class="question-label">
            {{ field.label_tag }}
            {% if field.help_text %}
                <a class="" href="#" data-bind="click: function(data, event) {context.toggleHelpText('{{ field.html_name }}')}"
                   rel="tooltip" title="{% trans "More information" %}">
                    <span class="{{ ICONS.help }} help-bubble"></span>
                </a>
            {% endif %}
        </div>

        {# Helptext #}
        {# using style= on the element to prevent initial flash, knockout workaround #}
        <div class="question-help-text" id="help-text-{{ field.question.pk }}" data-bind="visible: questions['{{ field.html_name }}'].helpTextVisible" style="display: none">
            <div class="">
                <div class="">
                    {{ field.help_text|linebreaks }}
                </div>
            </div>
        </div>

        <div class="answer-editor">
            {# Choose the right question type template for the editor #}
            {% with 'sams/form_editors/'|add:element.answer_type|add:'.html' as editor_template %}
                {% include editor_template with question=element field=field %}
            {% endwith %}
            <div class="clearfix"></div>
        </div>



        <div class="justification-section">
            <textarea class="form-control" placeholder="{% trans "Enter here any needed justification" %}"></textarea>
        </div>

    </div>

    {# Question toolbar #}
    <div class="question-toolbar">
        {% comment %}
            <span class="label question-index"></span>
                <span class="question-code">
                    {{ element.code }}
                </span>
            &nbsp;
            {% endcomment %}

        {% comment %}
            {% if field.help_text %}
                <a class="btn btn-sm" href="#" data-bind="click: function(data, event) {context.toggleHelpText('{{ field.html_name }}')}">
                    <span class="{{ ICONS.help }} help-bubble"></span>
                    {% trans "help"|upper %}
                </a>
            {% endif %}
            {% endcomment %}

        <a class="btn btn-sm" href="#attachmentModal" data-toggle="modal"
           rel="tooltip" title="{% trans "Attach a document" %}">
            <i class="{{ ICONS.attachment }}"></i>
            {% trans "Attach a document" %}
        </a>

        <a class="btn btn-sm" href="#templatesModal" data-toggle="modal"
           rel="tooltip" title="{% trans "Templates" %}">
            <span class="{{ ICONS.document }}"></span>
            {% trans "Templates" %}
        </a>
    </div>


</div>

<div class="modal fade" id="attachmentModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">
                    <span class="{{ ICONS.attachment }}"></span>
                    {% trans "Attach a document" %}
                </h4>
            </div>
            <div class="modal-body">
                {# TODO #}
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary">
                    {% trans "Attach" %}
                </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {% trans "Cancel" %}
                </button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="templatesModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">
                    <span class="{{ ICONS.template }}"></span>
                    {% trans "Document templates" %}
                </h4>
            </div>
            <div class="modal-body">
                {# TODO #}
                <p>
                    Available document templates...
                </p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {% trans "Close" %}
                </button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
